## Class Auth_OpenID_CancelResponse

Description

A response with a status of Auth_OpenID_CANCEL. Indicates that the user cancelled the OpenID authentication request. This has two relevant attributes:

claimed_id - The identity URL for which authentication was attempted, if it can be determined. Otherwise, null.

status - Auth_OpenID_SUCCESS.

Located in /Auth/OpenID/Consumer.php (line 2193)

    Auth_OpenID_ConsumerResponse
       |
       --Auth_OpenID_CancelResponse

Variable Summary
mixed $status
Method Summary
Auth_OpenID_CancelResponse Auth_OpenID_CancelResponse ( $endpoint)
Variables
mixed $status = Auth_OpenID_CANCEL (line 2194)

Redefinition of:

Auth_OpenID_ConsumerResponse::$status

Methods
Constructor Auth_OpenID_CancelResponse (line 2196)
Auth_OpenID_CancelResponse Auth_OpenID_CancelResponse ( $endpoint)

- $endpoint

#### Inherited Methods

Inherited From Auth_OpenID_ConsumerResponse

> Auth_OpenID_ConsumerResponse::getDisplayIdentifier()
> Auth_OpenID_ConsumerResponse::setEndpoint()

Documentation generated on Tue, 21 Apr 2009 11:31:30 -0700 by phpDocumentor 1.3.2